Solid Edge FrameworkSupport Type Library
InsertVertex Method
The index, relative to zero, of the vertex number in the object. This value must be between 0 and the number of vertices less one.
Coordinates of the vertex to be inserted.
Coordinates of the vertex to be inserted.
Coordinates of the vertex to be inserted.
Description
Adds a vertex at a specified index causing indices of following vertices to increment by one.
Syntax
Visual Basic
Public Sub InsertVertex( _
   ByVal Index As Long, _
   ByVal x As Double, _
   ByVal y As Double, _
   ByVal z As Double _
) 
Parameters
Index
The index, relative to zero, of the vertex number in the object. This value must be between 0 and the number of vertices less one.
x
Coordinates of the vertex to be inserted.
y
Coordinates of the vertex to be inserted.
z
Coordinates of the vertex to be inserted.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFrameWork.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objDatums As SolidEdgeFrameworkSupport.DatumFrames
    Dim objDtmFrm As SolidEdgeFrameworkSupport.DatumFrame
    Dim objLine As SolidEdgeFrameworkSupport.Line2d
    Dim lngVerCount1 As Long
    Dim lngVerCount2 As Long
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'Get the Active Sheet object
    Set objSheet = objDoc.ActiveSheet
    ' Create a Line object
    Set objLine = objSheet.Lines2d.AddBy2Points(x1:=0.1, y1:=0.1, x2:=0.2, y2:=0.1)
    ' Create a DatumFrames collection object
    Set objDatums = objSheet.DatumFrames
    ' Add a DatumFrame object
    Set objDtmFrm = objDatums.AddByTerminator(TerminatorObject:=objLine, _
                                              x1:=0.15, y1:=0.1, z1:=0, keyPoint1:=False)
    objDtmFrm.Datum = "Test"
    ' Add Vertex to the object
    Call objDtmFrm.AddVertex(x:=0.3, y:=0.1, z:=0)
    ' Insert 2 Vertices at the given Index position
    Call objDtmFrm.InsertVertex(Index:=1, x:=0.4, y:=0.3, z:=0)
    Call objDtmFrm.InsertVertex(Index:=2, x:=0.2, y:=0.2, z:=0)

    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objSheet = Nothing
    Set objDatums = Nothing
    Set objDtmFrm = Nothing
    Set objLine = Nothing
End Sub
See Also

DatumFrame Object  | DatumFrame Members